Xerces Native Interface: Interface XMLResourceIdentifier

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni
Interface XMLResourceIdentifier

All Known Subinterfaces:
  XMLDTDDescription, XMLGrammarDescription, XMLSchemaDescription

public interface XMLResourceIdentifier

This represents the basic physical description of the location of any XML resource (a Schema grammar, a DTD, a general entity etc.)

Version:
  $Id: XMLResourceIdentifier.java 570132 2007-08-27 14:12:43Z mrglavas $
Author:
  Neil Graham, IBM

Method Summary
`java.lang.String` | `getBaseSystemId()` Returns the base URI against which the literal SystemId is to be resolved.
`java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
`java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` | `getNamespace()` Returns the namespace of the resource.
`java.lang.String` | `getPublicId()` Returns the public identifier.
`void` | `setBaseSystemId(java.lang.String systemId)` Sets the base URI against which the literal SystemId is to be resolved.
`void` | `setExpandedSystemId(java.lang.String systemId)` Sets the expanded system identifier.
`void` | `setLiteralSystemId(java.lang.String systemId)` Sets the literal system identifier.
`void` | `setNamespace(java.lang.String namespace)` Sets the namespace of the resource.
`void` | `setPublicId(java.lang.String publicId)` Sets the public identifier.

Method Detail

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Sets the public identifier.

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier.

### setExpandedSystemId

    public void setExpandedSystemId(java.lang.String systemId)

  Sets the expanded system identifier.

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Returns the expanded system identifier.

### setLiteralSystemId

    public void setLiteralSystemId(java.lang.String systemId)

  Sets the literal system identifier.

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Returns the literal system identifier.

### setBaseSystemId

    public void setBaseSystemId(java.lang.String systemId)

  Sets the base URI against which the literal SystemId is to be resolved.

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Returns the base URI against which the literal SystemId is to be resolved.

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets the namespace of the resource.

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the resource.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.